Public Attributes | List of all members
_exflash_handle Struct Reference
Peripheral Driver » HAL Driver » EXFLASH » Structures » EXFLASH handle

exFlash handle Structure definition More...

`#include <gr55xx_hal_exflash.h>`

Collaboration diagram for _exflash_handle:
[legend]

## Public Attributes
xqspi_handle_t * | p_xqspi
| exFlash XQSPI Handle parameters More...
__IO uint32_t | fw_mode
| exFlash firmware mode More...
__IO hal_lock_t | lock
| Locking object More...
__IO hal_exflash_state_t | state
| exFlash communication state More...
__IO hal_eflash_security | security
| exFlash data security More...
__IO uint32_t | flash_id
| exFlash ID More...
__IO uint32_t | flash_size
| exFlash Size More...
__IO uint32_t | count
| exFlash count for suspend and resume More...
__IO uint32_t | error_code
| exFlash Error code More...
uint32_t | retry
| Repeat times for the exFlash memory access. More...

## Detailed Description

exFlash handle Structure definition

Definition at line 113 of file gr55xx_hal_exflash.h.

## Member Data Documentation

## ◆ count

__IO uint32_t _exflash_handle::count

exFlash count for suspend and resume

Definition at line 129 of file gr55xx_hal_exflash.h.

## ◆ error_code

__IO uint32_t _exflash_handle::error_code

exFlash Error code

Definition at line 131 of file gr55xx_hal_exflash.h.

## ◆ flash_id

__IO uint32_t _exflash_handle::flash_id

exFlash ID

Definition at line 125 of file gr55xx_hal_exflash.h.

## ◆ flash_size

__IO uint32_t _exflash_handle::flash_size

exFlash Size

Definition at line 127 of file gr55xx_hal_exflash.h.

## ◆ fw_mode

__IO uint32_t _exflash_handle::fw_mode

exFlash firmware mode

Definition at line 117 of file gr55xx_hal_exflash.h.

## ◆ lock

__IO hal_lock_t _exflash_handle::lock

Locking object

Definition at line 119 of file gr55xx_hal_exflash.h.

## ◆ p_xqspi

xqspi_handle_t* _exflash_handle::p_xqspi

exFlash XQSPI Handle parameters

Definition at line 115 of file gr55xx_hal_exflash.h.

## ◆ retry

uint32_t _exflash_handle::retry

Repeat times for the exFlash memory access.

Definition at line 133 of file gr55xx_hal_exflash.h.

## ◆ security

__IO hal_eflash_security _exflash_handle::security

exFlash data security

Definition at line 123 of file gr55xx_hal_exflash.h.

## ◆ state

__IO hal_exflash_state_t _exflash_handle::state

exFlash communication state

Definition at line 121 of file gr55xx_hal_exflash.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_exflash.h